import { SelectInputOption } from '@flarehr/beacon/dist/types/components/dropdown/dropdown';
import * as O from 'fp-ts/Option';
export * from './config';
export * from './lazy';
export declare function some<T>(value: T): O.Some<T>;
export declare function assertSome<T>(value: T): O.Some<T>;
export declare function getOrDefault<T>(option: O.Option<T>, value: T): T;
export declare function getOrNull<T>(option: O.Option<T>): T | null;
export declare function getOrError<T>(option: O.Option<T>, error?: string): T;
export declare function toSelectInputOptionsArray<T>(list: Array<T>): Array<SelectInputOption<T>>;
